Text.XML.HaXml.Types

# A simple symbol table mapping strings (references) to values.

type SymTab a

## Symbol table operations

emptyST
addST
lookupST

# XML Types

## The top-level document container

data Document i

## The main document content

data Element i
data ElemTag
data Content i
type Attribute
data AttValue
info

## Administrative parts of the document

data Prolog
data XMLDecl
data Misc
type ProcessingInstruction
type SDDecl
type VersionInfo
type Comment
type PITarget

## The DTD

### content model

data DocTypeDecl
data MarkupDecl
data ExtSubset
data ExtSubsetDecl
data ElementDecl
data ContentSpec
data CP
data Modifier
data Mixed

### attribute model

data AttListDecl
data AttDef
data AttType
data TokenizedType
data EnumeratedType
type NotationType
type Enumeration
data DefaultDecl
data FIXED

### conditional sections

data ConditionalSect
type IncludeSect
type IgnoreSect
data Ignore
data IgnoreSectContents

## References

data Reference
type EntityRef
type CharRef
type PEReference

## Entities

data EntityDecl
data GEDecl
data PEDecl
data EntityDef
data PEDef
data ExternalID
data NDataDecl
data TextDecl
data ExtParsedEnt i
data ExtPE
data NotationDecl
data PublicID
data EncodingDecl
data EntityValue
data EV
data PubidLiteral
data SystemLiteral

## Basic value types

type Name
type Names
type NmToken
type NmTokens
type CharData
type CDSect